## ros-jazzy-flexbe-msgs 3.0.3

=== debian/changelog ===
ros-jazzy-flexbe-msgs (3.0.3-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 05 Jun 2024 16:00:00 -0000

ros-jazzy-flexbe-msgs (3.0.2-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 03 Jun 2024 16:00:00 -0000

ros-jazzy-flexbe-msgs (3.0.1-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 30 May 2024 16:00:00 -0000

ros-jazzy-flexbe-msgs (3.0.0-2bookworm) bookworm; urgency=high

  * update with state map and changes to concurrent handling
  * allow removing action clients and service callers
  * support for new state id and concurrency handling

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 30 Apr 2024 16:00:00 -0000

ros-jazzy-flexbe-msgs (2.3.4-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 30 Apr 2024 16:00:00 -0000

ros-jazzy-flexbe-msgs (2.3.3-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 08 Aug 2023 16:00:00 -0000

ros-jazzy-flexbe-msgs (2.3.2-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 31 Jul 2023 16:00:00 -0000

ros-jazzy-flexbe-msgs (2.3.1-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 30 Jul 2023 16:00:00 -0000

ros-jazzy-flexbe-msgs (2.3.0-2bookworm) bookworm; urgency=high

  * add defined request types for BehaviorInput
  * update CMakeLists cmake_minimum_version
  * Updates to dependencies for ROS build farm

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 19 Jul 2023 16:00:00 -0000

ros-jazzy-flexbe-msgs (2.2.0-2bookworm) bookworm; urgency=high

  * Add comments and modify BehaviorSelection message to use
    behavior_key and behavior_id for consistency with other messages
  * update package information
  * Merge team-vigir PR165 user data service

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 28 Jun 2023 16:00:00 -0000

ros-jazzy-flexbe-msgs (2.1.0-2bookworm) bookworm; urgency=high

  * ROS 2 Humble release
  * Includes changes BEStatus and BehaviorSync msgs
  * Tested under Ubuntu 22.04 and ROS Humble

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 01 Aug 2022 16:00:00 -0000

ros-jazzy-flexbe-msgs (2.0.0-2bookworm) bookworm; urgency=high

  * Initial ROS 2 "foxy" release based on ROS 1 commit a343c657
  * Includes changes to concurrent state and sleep handling

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 21 Feb 2022 16:00:00 -0000

ros-jazzy-flexbe-msgs (1.3.1-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 10 Dec 2020 16:00:00 -0000

ros-jazzy-flexbe-msgs (1.3.0-2bookworm) bookworm; urgency=high

  * Merge remote-tracking branch 'origin/feature/core_rework' into develop
    # Conflicts:
    #     flexbe_core/src/flexbe_core/core/operatable_state_machine.py
    #     flexbe_onboard/src/flexbe_onboard/flexbe_onboard.py
  * Remove smach dependency
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Wed, 18 Nov 2020 16:00:00 -0000

ros-jazzy-flexbe-msgs (1.2.5-2bookworm) bookworm; urgency=high

  * Merge branch 'develop' into feature/state_logger_rework
  * [flexbe_msgs] Remove deprecated constants from input action
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Sat, 13 Jun 2020 16:00:00 -0000

ros-jazzy-flexbe-msgs (1.2.4-2bookworm) bookworm; urgency=high

  * [flexbe_msgs] [flexbe_core] Add debug level to logger
    (see #101 <https://github.com/team-vigir/flexbe_behavior_engine/issues/101>)
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Tue, 24 Mar 2020 16:00:00 -0000

ros-jazzy-flexbe-msgs (1.2.3-2bookworm) bookworm; urgency=high

  * Merge remote-tracking branch 'origin/develop' into feature/test_behaviors
    # Conflicts:
    #     flexbe_testing/bin/testing_node
    #     flexbe_testing/src/flexbe_testing/state_tester.py
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Thu, 09 Jan 2020 16:00:00 -0000

ros-jazzy-flexbe-msgs (1.2.2-2bookworm) bookworm; urgency=high



 -- Philipp Schillinger <philsplus@gmail.com>  Sun, 15 Sep 2019 16:00:00 -0000

ros-jazzy-flexbe-msgs (1.2.1-2bookworm) bookworm; urgency=high

  * Merge remote-tracking branch 'origin/feature/sub_parameters' into develop
  * Bump required flexbe_app version
  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Sat, 01 Jun 2019 16:00:00 -0000

ros-jazzy-flexbe-msgs (1.1.2-2bookworm) bookworm; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 08 Apr 2019 16:00:00 -0000

ros-jazzy-flexbe-msgs (1.1.1-2bookworm) bookworm; urgency=high

  * Merge remote-tracking branch 'origin/master' into develop
  * Contributors: Philipp Schillinger

 -- Philipp Schillinger <philsplus@gmail.com>  Mon, 17 Dec 2018 16:00:00 -0000

ros-jazzy-flexbe-msgs (1.1.0-2bookworm) bookworm; urgency=high

  * Merge branch 'develop'
  * Merge branch 'feature/flexbe_app' into develop
  * Update maintainer information
  * Merge remote-tracking branch 'origin/develop'
  * Merge remote-tracking branch 'origin/develop' into feature/flexbe_app
  * Merge pull request #52 <https://github.com/team-vigir/flexbe_behavior_engine/issues/52> from ruvu/fix/catkin_lint_errors_and_warnings
    chore: ran catkin_lint and fixed warnings and errors
  * chore: ran catkin_lint and fixed warnings and errors
  * Find behaviors by export tag and execute via checksum
  * Merge remote-tracking branch 'origin/develop'
  * [flexbe_msgs] Increase field size of behavior modification index
  * Provide option to set userdata input on behavior action calls
  * Merge remote-tracking branch 'origin/master' into feature/multirobot
    Conflicts:

